Qt 5.13 | Qt Core | C++ Classes | QKeyValueIterator

Qt 5.13.2 Reference Documentation

# QKeyValueIterator Class

Iterator over the key/value pairs of an associative container. More...

Header: | #include <QKeyValueIterator>
qmake: | QT += core
Since: | Qt 5.10

This class was introduced in Qt 5.10.

- List of all members, including inherited members

## Public Functions

| QKeyValueIterator(Iterator o)
| QKeyValueIterator()

## Detailed Description

The QKeyValueIterator class provides an STL-style iterator for returning key/value pairs from associative containers like QHash and QMap. It supports the same API as the STL associative containers, i.e. getting a key/value pair when iterating through the container.

This will allow for better interoperability between QMap, QHash and friends and STL-style algorithms.

Warning: Iterators on implicitly shared containers do not work exactly like STL-iterators. You should avoid copying a container while iterators are active on that container. For more information, read Implicit sharing iterator problem.

## Member Function Documentation

### QKeyValueIterator::QKeyValueIterator(Iterator o)

Constructs a QKeyValueIterator on top of o.

### QKeyValueIterator::QKeyValueIterator()

Constructs a default QKeyValueIterator.